# com.beasys.commerce.ebusiness.tax
TaxLineImpl Class

public class TaxLineImpl
extends `BelongingImpl`
implements `Cloneable`, `TaxLine`

Has all the information from orderline required to do taxing, may be generated from an orderline.

Related Topics

``TaxLine``
``TaxLineHome``

Hierarchy
  `Object`
  `BelongingImpl`
  `TaxLineImpl`

All Implemented Interfaces
  `Belonging`, `BusinessSmartComponent`, `Cloneable`, `Comparable`, `RelationalReference`, `Serializable`, `TaxLine`

## Field Summary

`public `Price`` | `discountedPriceAmt` Containment: By Value Multiplicity: 1:1
`public `Price`` | `freight` Containment: By Value Multiplicity: 1:1
`public `Price`` | `price` Containment: By Value Multiplicity: 1:1
`public `Quantity`` | `quantity` Containment: By Value Multiplicity: 1:1
`public `String`` | `taxCode` Containment: By Value Multiplicity: 1:1

Fields from com.beasys.commerce.foundation`.`BelongingImpl``
``__classIdentifier`, `__containingBelonging`, `__containingEntity`, `__mapKey`, `__sequenceNumber`, `_isDirty``

## Constructor Summary

TaxLineImpl()

## Method Summary

`public int` | `compareTo`(`Object` o) Compare this belonging to another
`public `Price`` | `getDiscountedPriceAmount`() Get the value of the discounted price
`public `Price`` | `getFreight`() Get the value of freight
`public `Price`` | `getPrice`() Get the value of price
`public `Quantity`` | `getQuantity`() Get the value of quantity
`public `String`` | `getTaxCode`() Get the value of taxCode
`public `String`` | `interfaceName`() interfaceName() returns the unqualified name of the interface from the UML model
`public void` | `setByValue`(`Belonging` value) It is possible to call set-by-value with a superclass.
`public void` | `setDiscountedPriceAmount`(`Price` price) Set the value of the discounted price
`public void` | `setFreight`(`Price` freight) Set the value of freight
`public void` | `setPrice`(`Price` price) Set the value of price
`public void` | `setQuantity`(`Quantity` quantity) Set the value of quantity
`public void` | `setTaxCode`(`String` taxCode) Set the value of taxCode
`public `Belonging`` | `value`() value() is a more typesafe implementation of clone()

Methods from `com.beasys.commerce.foundation.`BelongingImpl``
``clearRelationalBinding`, `clearRelationalBinding`, `clearRelationalBinding`, `clearRelationalBinding`, `clone`, `doRelationalBinding`, `doRelationalBinding`, `doRelationalBindingOnElement`, `doRelationalBindingOnElement`, `doRelationalBindingOnElement`, `doRelationalBindingOnSingleton`, `doRelationalBindingOnSingleton`, `doRelationalBindingOnSingleton`, `doRelationalBindingWithMapKey`, `doRelationalBindingWithMapKey`, `doRelationalBindingWithMapKey`, `enumerateRelationalBinding`, `enumerateRelationalBinding`, `equals`, `get__classIdentifier`, `get__containingBelonging`, `get__containingEntity`, `get__containingEntityReference`, `get__mapKey`, `get__sequenceNumber`, `getPersistenceHelperPlugin`, `hashCode`, `set__classIdentifier`, `set__containingBelonging`, `set__containingEntity`, `set__containingEntityReference`, `set__mapKey`, `toString``

Methods from class `java.lang.`Object``
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods from interface `com.beasys.commerce.foundation.`Belonging``
``clone`, `equals`, `interfaceName`, `setByValue`, `value``

Methods from interface `java.lang.`Comparable``
`compareTo`

Methods from interface `com.beasys.commerce.foundation.`RelationalReference``
``get__classIdentifier`, `get__containingBelonging`, `get__containingEntity`, `get__mapKey`, `get__sequenceNumber`, `set__containingBelonging`, `set__containingEntity`, `set__mapKey``

Methods from interface `com.beasys.commerce.ebusiness.tax.`TaxLine``
``getDiscountedPriceAmount`, `getFreight`, `getPrice`, `getQuantity`, `getTaxCode`, `setDiscountedPriceAmount`, `setFreight`, `setPrice`, `setQuantity`, `setTaxCode``

## Field Detail

### discountedPriceAmt

    public Price discountedPriceAmt

  - Containment: By Value
  - Multiplicity: 1:1

### freight

    public Price freight

  - Containment: By Value
  - Multiplicity: 1:1

### price

    public Price price

  - Containment: By Value
  - Multiplicity: 1:1

### quantity

    public Quantity quantity

  - Containment: By Value
  - Multiplicity: 1:1

### taxCode

    public String taxCode

  - Containment: By Value
  - Multiplicity: 1:1

## Constructor Detail

### TaxLineImpl

    public TaxLineImpl()

## Method Detail

### compareTo(Object) Method

    public int compareTo(Object o)

Compare this belonging to another

Overrides
  `BelongingImpl.compareTo(Object)`

#### Parameters

o
  target object for comparision

#### Returns

0 objects are equal

### getDiscountedPriceAmount() Method

    public Price getDiscountedPriceAmount()

Get the value of the discounted price

#### Returns

price.

### getFreight() Method

    public Price getFreight()

Get the value of freight

#### Returns

freight.

### getPrice() Method

    public Price getPrice()

Get the value of price

#### Returns

price.

### getQuantity() Method

    public Quantity getQuantity()

Get the value of quantity

#### Returns

quantity.

### getTaxCode() Method

    public String getTaxCode()

Get the value of taxCode

#### Returns

taxCode.

### interfaceName() Method

    public String interfaceName()

interfaceName() returns the unqualified name of the interface from the UML model

#### Returns

the unqualified name of the belonging interface from the UML model

### setByValue(Belonging) Method

    public void setByValue(Belonging value)

It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

Overrides
  `BelongingImpl.setByValue(Belonging)`

#### Parameters

value
  The `Belonging` to use for initialization.

### setDiscountedPriceAmount(Price) Method

    public void setDiscountedPriceAmount(Price price)

Set the value of the discounted price

#### Parameters

price
  price to be added

### setFreight(Price) Method

    public void setFreight(Price freight)

Set the value of freight

#### Parameters

freight
  freight to be added

### setPrice(Price) Method

    public void setPrice(Price price)

Set the value of price

#### Parameters

price
  price to be added

### setQuantity(Quantity) Method

    public void setQuantity(Quantity quantity)

Set the value of quantity

#### Parameters

quantity
  quantity to be added

### setTaxCode(String) Method

    public void setTaxCode(String taxCode)

Set the value of taxCode

#### Parameters

taxCode
  taxCode to be added

### value() Method

    public Belonging value()

value() is a more typesafe implementation of clone()

#### Returns

a clone of this instance